## Get screenshot `client.URLScanner.Scans.Screenshot(ctx, scanID, params) (*Response, error)` **get** `/accounts/{account_id}/urlscanner/v2/screenshots/{scan_id}.png` Get scan's screenshot by resolution (desktop/mobile/tablet). ### Parameters - `scanID string` Scan UUID. - `params ScanScreenshotParams` - `AccountID param.Field[string]` Path param: Account ID. - `Resolution param.Field[ScanScreenshotParamsResolution]` Query param: Target device type. - `const ScanScreenshotParamsResolutionDesktop ScanScreenshotParamsResolution = "desktop"` - `const ScanScreenshotParamsResolutionMobile ScanScreenshotParamsResolution = "mobile"` - `const ScanScreenshotParamsResolutionTablet ScanScreenshotParamsResolution = "tablet"` ### Returns - `type ScanScreenshotResponse interface{…}` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/url_scanner" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) response, err := client.URLScanner.Scans.Screenshot( context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", url_scanner.ScanScreenshotParams{ AccountID: cloudflare.F("account_id"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", response) } ```